
ApplicationNameString: WOString
{
    value = application.name;
    escapeHTML = NO;
}

ReferenceString: WOString
{
    value = referenceString;
    escapeHTML = YES;
    convertHTMLEntities = YES;
}

ExceptionNameString: WOString
{
    value = exception.name;
    escapeHTML = NO;
}

ReasonRepetition: WORepetition
{
    list = reasons;
    item = tmpReason;
}

ReasonString: WOString
{
    value = tmpReason;
    escapeHTML = YES;
    convertHTMLEntities = YES;
}

ReenterHyperlink: WOHyperlink
{
    directActionName = "default";
    target = "_top";
}

HasUserInfoConditional: WOConditional
{
    condition = exception.userInfo;
}

NoUserInfoConditional: WOConditional
{
    condition = exception.userInfo;
    negate = YES;
}

UserInfoRowRepetition: WODictionaryRepetition
{
    dictionary = exception.userInfo;
    key = tmpUserInfoKey;
    item = tmpUserInfoValue;
}

UserInfoKeyString: WOString
{
    value = tmpUserInfoKey;
    escapeHTML = NO;
}

UserInfoValueString: WOString
{
    value = tmpUserInfoValue;
    escapeHTML = YES;
    convertHTMLEntities = YES;
}
